Debian Bug report logs - #586315
owned and unowned files after purge (policy 6.8 + 10.7.3)

version graph

Package: liblapack3gf; Maintainer for liblapack3gf is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for liblapack3gf is src:lapack.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Fri, 18 Jun 2010 11:00:02 UTC

Severity: important

Tags: patch, sid, squeeze, wheezy

Found in versions lapack/3.2.1-8, lapack/3.3.0-1

Fixed in versions lapack/3.2.2-1.2, lapack/3.3.0-3

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Fri, 18 Jun 2010 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 18 Jun 2010 11:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: owned and unowned files after purge (policy 6.8 + 10.7.3)
Date: Fri, 18 Jun 2010 12:56:01 +0200
[Message part 1 (text/plain, inline)]
Package: liblapack3gf
Version: 3.2.1-8
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package left owned and 
unowned files on the system after purge, which is a violation of policy 6.8 
and 10.7.3:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails
http://www.debian.org/doc/debian-policy/ch-files.html#s10.7.3

From the attached log (scroll to the bottom...):

0m15.4s ERROR: FAIL: Package purging left files on system:
  /etc/alternatives/liblapack.so.3gf	 not owned

It would be great if you could fix this bug as it blocks 85 packages depending 
on liblapack3gf from being tested by piuparts.debian.org.


cheers,
	Holger
[liblapack3gf_3.2.1-8.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Thu, 11 Nov 2010 23:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 11 Nov 2010 23:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 586315@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315@bugs.debian.org
Subject: Re: owned and unowned files after purge (policy 6.8 + 10.7.3)
Date: Fri, 12 Nov 2010 00:39:49 +0100
[Message part 1 (text/plain, inline)]
tags 586315 + patch
thanks

Hi,

Please find a patch attached that fix this bug.

Cheers

Laurent Bigonville
[586315.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 23:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Sat, 20 Nov 2010 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 20 Nov 2010 18:21:02 GMT) Full text and rfc822 format available.

Message #17 received at 586315@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315@bugs.debian.org
Subject: lapack: diff for NMU version 3.2.2-1.1
Date: Sat, 20 Nov 2010 19:11:31 +0100
tags 586315 + pending
thanks

Dear maintainer,

I've prepared an NMU for lapack (versioned as 3.2.2-1.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards.
diff -u lapack-3.2.2/debian/changelog lapack-3.2.2/debian/changelog
--- lapack-3.2.2/debian/changelog
+++ lapack-3.2.2/debian/changelog
@@ -1,3 +1,10 @@
+lapack (3.2.2-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Correctly remove alternative during package removal (Closes: #586315)
+
+ -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Nov 2010 18:42:36 +0100
+
 lapack (3.2.2-1) unstable; urgency=low
 
   * New upstream release
diff -u lapack-3.2.2/debian/liblapack3gf.prerm lapack-3.2.2/debian/liblapack3gf.prerm
--- lapack-3.2.2/debian/liblapack3gf.prerm
+++ lapack-3.2.2/debian/liblapack3gf.prerm
@@ -4,7 +4,7 @@
 
 if [ "$1" != "upgrade" ]
 then
-    update-alternatives --remove liblapack.so.3gf /usr/lib/liblapack/liblapack.so.3gf
+    update-alternatives --remove liblapack.so.3gf /usr/lib/lapack/liblapack.so.3gf
 fi
 
 #DEBHELPER#




Added tag(s) pending. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sat, 20 Nov 2010 18:21:06 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sat, 20 Nov 2010 22:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Sat, 20 Nov 2010 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 20 Nov 2010 23:24:03 GMT) Full text and rfc822 format available.

Message #26 received at 586315@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 586315@bugs.debian.org
Subject: Re: Bug#586315: lapack: diff for NMU version 3.2.2-1.1
Date: Sun, 21 Nov 2010 00:19:55 +0100
Sorry, I was in VAC and I didn't take the time to this fix issues.

Anyway, you can upload it immediately in the archive.
Thanks for this! It is appreciated!

Sylvestre



Le samedi 20 novembre 2010 à 19:11 +0100, Laurent Bigonville a écrit :
> tags 586315 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for lapack (versioned as 3.2.2-1.1) and
> uploaded it to DELAYED/7. Please feel free to tell me if I
> should delay it longer.
> 
> Regards.
> diff -u lapack-3.2.2/debian/changelog lapack-3.2.2/debian/changelog
> --- lapack-3.2.2/debian/changelog
> +++ lapack-3.2.2/debian/changelog
> @@ -1,3 +1,10 @@
> +lapack (3.2.2-1.1) unstable; urgency=low
> +
> +  * Non-maintainer upload.
> +  * Correctly remove alternative during package removal (Closes: #586315)
> +
> + -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Nov 2010 18:42:36 +0100
> +
>  lapack (3.2.2-1) unstable; urgency=low
>  
>    * New upstream release
> diff -u lapack-3.2.2/debian/liblapack3gf.prerm lapack-3.2.2/debian/liblapack3gf.prerm
> --- lapack-3.2.2/debian/liblapack3gf.prerm
> +++ lapack-3.2.2/debian/liblapack3gf.prerm
> @@ -4,7 +4,7 @@
>  
>  if [ "$1" != "upgrade" ]
>  then
> -    update-alternatives --remove liblapack.so.3gf /usr/lib/liblapack/liblapack.so.3gf
> +    update-alternatives --remove liblapack.so.3gf /usr/lib/lapack/liblapack.so.3gf
>  fi
>  
>  #DEBHELPER#
> 
> 
> 
> --
> debian-science-maintainers mailing list
> debian-science-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/debian-science-maintainers







Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Sun, 21 Nov 2010 12:06:05 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 12:06:05 GMT) Full text and rfc822 format available.

Message #31 received at 586315-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315-close@bugs.debian.org
Subject: Bug#586315: fixed in lapack 3.2.2-1.1
Date: Sun, 21 Nov 2010 12:02:26 +0000
Source: lapack
Source-Version: 3.2.2-1.1

We believe that the bug you reported is fixed in the latest version of
lapack, which is due to be installed in the Debian FTP archive:

lapack_3.2.2-1.1.diff.gz
  to main/l/lapack/lapack_3.2.2-1.1.diff.gz
lapack_3.2.2-1.1.dsc
  to main/l/lapack/lapack_3.2.2-1.1.dsc
liblapack-dev_3.2.2-1.1_amd64.deb
  to main/l/lapack/liblapack-dev_3.2.2-1.1_amd64.deb
liblapack-doc_3.2.2-1.1_all.deb
  to main/l/lapack/liblapack-doc_3.2.2-1.1_all.deb
liblapack-pic_3.2.2-1.1_amd64.deb
  to main/l/lapack/liblapack-pic_3.2.2-1.1_amd64.deb
liblapack-test_3.2.2-1.1_amd64.deb
  to main/l/lapack/liblapack-test_3.2.2-1.1_amd64.deb
liblapack3gf_3.2.2-1.1_amd64.deb
  to main/l/lapack/liblapack3gf_3.2.2-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586315@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laurent Bigonville <bigon@debian.org> (supplier of updated lapack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 20 Nov 2010 18:42:36 +0100
Source: lapack
Binary: liblapack3gf liblapack-dev liblapack-pic liblapack-test liblapack-doc
Architecture: source all amd64
Version: 3.2.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Laurent Bigonville <bigon@debian.org>
Description: 
 liblapack-dev - library of linear algebra routines 3 - static version
 liblapack-doc - library of linear algebra routines 3 - documentation
 liblapack-pic - library of linear algebra routines 3 - static PIC version
 liblapack-test - library of linear algebra routines 3 - testing programs
 liblapack3gf - library of linear algebra routines 3 - shared version
Closes: 586315
Changes: 
 lapack (3.2.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Correctly remove alternative during package removal (Closes: #586315)
Checksums-Sha1: 
 0bf64ffdcb32b096a8e1f5a03a247f870423eda6 1589 lapack_3.2.2-1.1.dsc
 1a74f481983f693c45c9eba8445ce9a217e05e81 72158 lapack_3.2.2-1.1.diff.gz
 6f70aa2f8c46ffca72cd7bd6e4612a4341387861 3709906 liblapack-doc_3.2.2-1.1_all.deb
 d43e170e1420e5f8c8e956578d5bc9e4f9c244d1 4439876 liblapack3gf_3.2.2-1.1_amd64.deb
 241139952d08db60fb2f3fe83d9a011e1b3909cb 4821818 liblapack-dev_3.2.2-1.1_amd64.deb
 cc34ee690a43c41c71dd832dec7fe546a3592911 4900786 liblapack-pic_3.2.2-1.1_amd64.deb
 75c09bacf1603c3a6f4cf1de71eb4f95aa074007 8446606 liblapack-test_3.2.2-1.1_amd64.deb
Checksums-Sha256: 
 4eb2ed8c20c1d327d55eb5b562e308bf50513624321ae8579002e672e83b6800 1589 lapack_3.2.2-1.1.dsc
 1a4efc3f48d1f0fe5176f3c9f788c0a3c02505fa85c807c490a33dc14ac73226 72158 lapack_3.2.2-1.1.diff.gz
 39f212310842204d99a28a3419efcc2b300aacd057c7d961eda0bc639ac5d801 3709906 liblapack-doc_3.2.2-1.1_all.deb
 e68f5be08c6a6cc3354dafb834e507c1afa23d9c43a5e9581d3edc333d16aa43 4439876 liblapack3gf_3.2.2-1.1_amd64.deb
 52b0c56d9f7e78456a60a2c6ac82dac4fe6e854c2fd359f4da200129c3ad7048 4821818 liblapack-dev_3.2.2-1.1_amd64.deb
 d36801b001dd796d5fb9d78f315e66f21ce089d39531c19ffc6b2e1ea98cbc13 4900786 liblapack-pic_3.2.2-1.1_amd64.deb
 ecfb6abf44e61bdd724affb81d4d63f6f611776ba9d6ffb469cdc104be099141 8446606 liblapack-test_3.2.2-1.1_amd64.deb
Files: 
 4162b440e4d7426ca9b71f56ccccd553 1589 libs optional lapack_3.2.2-1.1.dsc
 a0ec40bf930a06a83a2ddd5b7ee9c69a 72158 libs optional lapack_3.2.2-1.1.diff.gz
 ad8924e189bb7f67aba2315d7680d931 3709906 doc optional liblapack-doc_3.2.2-1.1_all.deb
 24bfc3531e04d53c6548356bc7738b18 4439876 libs optional liblapack3gf_3.2.2-1.1_amd64.deb
 401f690a04e2ec0b9c08738fef434618 4821818 libdevel optional liblapack-dev_3.2.2-1.1_amd64.deb
 eb73663d021fa3098d5d33e91d4dd9ed 4900786 libdevel optional liblapack-pic_3.2.2-1.1_amd64.deb
 f4a55335d4f92dbfe82726d519e4eaa9 8446606 libdevel optional liblapack-test_3.2.2-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJM6BCzAAoJEB/FiR66sEPVjGoH/ihXsutMw2UB0GWspo3cM22F
GbpAsrW9navQT4E9UVp3DFuwRiSgDKSKb2kqehEL10Ju3wYcfYCoqqiWQu7tNgNW
rp1H1es2EE8RpF+7ROagwwVpBpRZ1qJLtAjFupCu/43OLJ/aZoIbLblXHSnzXCee
RVTRIOHoB4LRYwcEsLbHmLMfvmMExZbJmHhh5HhuRODiL1YCzr0EY601ittSySIf
usHzWHqpoTHiHqAfwO/dha5vOqTe1ZxlYBPw1A+Kn1DOzsyBuHgp7XDVi7Ep6BAT
w2wLgLQRBfonRAikCdYDZr7NxGYGY2GeMyZx2aRSE138YAntKh/hQf0IyVMLFAY=
=4TvX
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Mon, 22 Nov 2010 09:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 22 Nov 2010 09:45:06 GMT) Full text and rfc822 format available.

Message #36 received at 586315@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: owned and unowned files after purge (policy 6.8 + 10.7.3)
Date: Mon, 22 Nov 2010 10:40:05 +0100
notfixed 586315 3.2.2-1.1
thanks

Hi,

Looks like this bug is not 100% fixed (doh)

In liblapack-pic:

  /etc/alternatives/liblapack_pic.a	 not owned
  /usr/lib/liblapack_pic.a	 not owned

and in liblapack-dev

  /etc/alternatives/liblapack.a	 not owned
  /etc/alternatives/liblapack.so	 not owned
  /usr/lib/liblapack.a	 not owned
  /usr/lib/liblapack.so	 not owned


I will prepare a 2nd NMU if Sylvestre have no objections

Cheers

Laurent Bigonville




Bug No longer marked as fixed in versions lapack/3.2.2-1.1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 09:45:10 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Nov 2010 10:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Tue, 23 Nov 2010 08:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 23 Nov 2010 08:12:10 GMT) Full text and rfc822 format available.

Message #45 received at 586315@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315@bugs.debian.org
Subject: lapack: diff for NMU version 3.2.2-1.2
Date: Tue, 23 Nov 2010 09:11:10 +0100

Dear maintainer,

I've prepared an NMU for lapack (versioned as 3.2.2-1.2). The diff
is attached to this message.

Regards.
diff -u lapack-3.2.2/debian/liblapack-pic.prerm lapack-3.2.2/debian/liblapack-pic.prerm
--- lapack-3.2.2/debian/liblapack-pic.prerm
+++ lapack-3.2.2/debian/liblapack-pic.prerm
@@ -4,7 +4,7 @@
 
 if [ "$1" != "upgrade" ]
 then
-    update-alternatives --remove liblapack_pic.a /usr/lib/liblapack/liblapack_pic.a
+    update-alternatives --remove liblapack_pic.a /usr/lib/lapack/liblapack_pic.a
 fi
 
 #DEBHELPER#
diff -u lapack-3.2.2/debian/changelog lapack-3.2.2/debian/changelog
--- lapack-3.2.2/debian/changelog
+++ lapack-3.2.2/debian/changelog
@@ -1,3 +1,10 @@
+lapack (3.2.2-1.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Really remove alternatives for all packages during removal (Closes: #586315)
+
+ -- Laurent Bigonville <bigon@debian.org>  Tue, 23 Nov 2010 01:48:20 +0100
+
 lapack (3.2.2-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -u lapack-3.2.2/debian/liblapack-dev.prerm lapack-3.2.2/debian/liblapack-dev.prerm
--- lapack-3.2.2/debian/liblapack-dev.prerm
+++ lapack-3.2.2/debian/liblapack-dev.prerm
@@ -4,7 +4,7 @@
 
 if [ "$1" != "upgrade" ]
 then
-    update-alternatives --remove liblapack.so /usr/lib/liblapack/liblapack.so
+    update-alternatives --remove liblapack.so /usr/lib/lapack/liblapack.so
 fi
 
 #DEBHELPER#




Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Tue, 23 Nov 2010 08:48:15 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 23 Nov 2010 08:48:15 GMT) Full text and rfc822 format available.

Message #50 received at 586315-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315-close@bugs.debian.org
Subject: Bug#586315: fixed in lapack 3.2.2-1.2
Date: Tue, 23 Nov 2010 08:47:43 +0000
Source: lapack
Source-Version: 3.2.2-1.2

We believe that the bug you reported is fixed in the latest version of
lapack, which is due to be installed in the Debian FTP archive:

lapack_3.2.2-1.2.diff.gz
  to main/l/lapack/lapack_3.2.2-1.2.diff.gz
lapack_3.2.2-1.2.dsc
  to main/l/lapack/lapack_3.2.2-1.2.dsc
liblapack-dev_3.2.2-1.2_amd64.deb
  to main/l/lapack/liblapack-dev_3.2.2-1.2_amd64.deb
liblapack-doc_3.2.2-1.2_all.deb
  to main/l/lapack/liblapack-doc_3.2.2-1.2_all.deb
liblapack-pic_3.2.2-1.2_amd64.deb
  to main/l/lapack/liblapack-pic_3.2.2-1.2_amd64.deb
liblapack-test_3.2.2-1.2_amd64.deb
  to main/l/lapack/liblapack-test_3.2.2-1.2_amd64.deb
liblapack3gf_3.2.2-1.2_amd64.deb
  to main/l/lapack/liblapack3gf_3.2.2-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586315@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laurent Bigonville <bigon@debian.org> (supplier of updated lapack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 23 Nov 2010 01:48:20 +0100
Source: lapack
Binary: liblapack3gf liblapack-dev liblapack-pic liblapack-test liblapack-doc
Architecture: source all amd64
Version: 3.2.2-1.2
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Laurent Bigonville <bigon@debian.org>
Description: 
 liblapack-dev - library of linear algebra routines 3 - static version
 liblapack-doc - library of linear algebra routines 3 - documentation
 liblapack-pic - library of linear algebra routines 3 - static PIC version
 liblapack-test - library of linear algebra routines 3 - testing programs
 liblapack3gf - library of linear algebra routines 3 - shared version
Closes: 586315
Changes: 
 lapack (3.2.2-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Really remove alternatives for all packages during removal (Closes: #586315)
Checksums-Sha1: 
 368cd456c0019832f290a433af6f6aa8994ee9f1 1589 lapack_3.2.2-1.2.dsc
 00f4eb2479a043841e8c04be4af6cfdbd4e3f642 72285 lapack_3.2.2-1.2.diff.gz
 25e6c809bdf91c45ef78a2764ae557ea3486d05b 3709976 liblapack-doc_3.2.2-1.2_all.deb
 6132e060aec69b3c7b43cd945113bce2bc7f7371 4439896 liblapack3gf_3.2.2-1.2_amd64.deb
 740cf6c99222b3f713b9c0074dbd43360ee75eef 4821822 liblapack-dev_3.2.2-1.2_amd64.deb
 44e627ec19bde9ef563c18f95902a322dfe7bed3 4900798 liblapack-pic_3.2.2-1.2_amd64.deb
 2739cf9ca7b4ecc84cebedc8fa6a99cc9496b933 8446666 liblapack-test_3.2.2-1.2_amd64.deb
Checksums-Sha256: 
 4b8ca847f9aff4729aba39fdf580ae20295edafa845f7f116caf29f1b1ecbad9 1589 lapack_3.2.2-1.2.dsc
 5f46cfe1fac7e62c78c03905017ae58efa86bffaaf4a2f2293a49cedbe991dcc 72285 lapack_3.2.2-1.2.diff.gz
 2fb0568704a0b95e197c15eff47a4b5128635b45be503dc543c726bf70a1b0ab 3709976 liblapack-doc_3.2.2-1.2_all.deb
 44e4ae82251ba135605929dad5638c62ac7d9bd11aa47c32183dcc280b574bcc 4439896 liblapack3gf_3.2.2-1.2_amd64.deb
 9ab8476b4248159add52dddd023ba0d4516bbef141f634bd3a817321a6e26f20 4821822 liblapack-dev_3.2.2-1.2_amd64.deb
 a70c070279955ddf56b3e88b87925ac558b8f37327a2194e326efe8292adce44 4900798 liblapack-pic_3.2.2-1.2_amd64.deb
 37b3b2a18b5b3da4db8a00229ba3e9efebaa83707feb50bed9d645e29bec3f5e 8446666 liblapack-test_3.2.2-1.2_amd64.deb
Files: 
 27659b8929c95064260f38e7dd0b6fdb 1589 libs optional lapack_3.2.2-1.2.dsc
 03faa4f81cfff3260f75cb087e8268fe 72285 libs optional lapack_3.2.2-1.2.diff.gz
 9e32588aca7aa180bd90a777d9d6d7bc 3709976 doc optional liblapack-doc_3.2.2-1.2_all.deb
 98fbde604d849a33986c7e60c11bc375 4439896 libs optional liblapack3gf_3.2.2-1.2_amd64.deb
 01dc26a0e3566a2e2d7843dab022855f 4821822 libdevel optional liblapack-dev_3.2.2-1.2_amd64.deb
 596de9ad7f78f8e9a9b7125c728cd249 4900798 libdevel optional liblapack-pic_3.2.2-1.2_amd64.deb
 646273084e568f2dc95b857042f1b43c 8446666 libdevel optional liblapack-test_3.2.2-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJM63ZeAAoJEB/FiR66sEPVwygH/0PLhc1vYtw+fPMF0HcWSBd3
is9k8eeKK6RghF0Gde2hlq75FepgbCh65iGyBCJblmeH57GSIxIm89is45K7/OiW
GU+ZMZnS/JV38gyWQTUi4d6QYOWl6089+gOLVt3Kt7nuzki6AgULUidm249Vz9oh
mcE1VtKHGyYgfoxxjXKJI+3a8wn1V/VwD1xGwSqn31QudBI715w0/FQogocs17N6
oaH+AqkrNsUwzkbt5SH++GyL9IpvTEnEMR3EdEd2WgV3lW/WXBO4P5aTAEZ5N+a1
iVJXjjGJb9WIH12WYCR9W/c9mdCVtsO71XdsTC/d/M0OPYtnEdQXBAjgsNkkggA=
=HyoC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#586315; Package liblapack3gf. (Sun, 19 Dec 2010 22:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 19 Dec 2010 22:00:06 GMT) Full text and rfc822 format available.

Message #55 received at 586315@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 586315@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: NMU not included in experimental version
Date: Sun, 19 Dec 2010 22:56:08 +0100
found 586315 3.3.0-1
thanks

Hi,

Looks like my NMU that fixes the alternative removal has been lost in
the last version uploaded in debian experimental.

Cheers

Laurent




Bug Marked as found in versions lapack/3.3.0-1 and reopened. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sun, 19 Dec 2010 22:00:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:17 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions lapack/3.3.0-3. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 14:03:06 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Sat, 19 Feb 2011 14:03:08 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 19 Feb 2011 14:03:09 GMT) Full text and rfc822 format available.

Message #66 received at 586315-done@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 586315-done@bugs.debian.org, control@bugs.debian.org
Subject: Fixed in 3.3.0-3
Date: Sat, 19 Feb 2011 14:59:36 +0100
fixed 586315 3.3.0-3
thanks






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Aug 2011 07:32:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:49:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.